use crate::result::AppResult;
use crate::config::Config;

pub fn init_config() -> AppResult<()> {
    let stdin = std::io::stdin();
    println!("How can we recognize anime files? Enter filename regex.");
    let mut pattern = String::new();
    stdin.read_line(&mut pattern)?;
    pattern = pattern.trim().to_string();
    println!("How can we show you the next episode? If 'mpv --fullscreen \"{{}}\"' is correct, leave it blank.");
    let mut command = String::new();
    stdin.read_line(&mut command)?;
    command = command.trim().to_string();
    let config = Config::new(pattern, command)?;
    config.save()?;
    Ok(())
}